Edsf.Persona.change_in_google_personal_group – folks-eds Reference Manual

# change_in_google_personal_group

## Description:

public async void change_in_google_personal_group (bool in_personal) throws PropertyError

Change whether this contact belongs to the personal group or not.

The personal contact group is a concept that exists only in Google address books. Other backends will throw a PropertyError.

It's preferred to call this rather than setting Persona.in_google_personal_group directly, as this method gives error notification and will only return once the membership has been written to the relevant backing store (or the operation's failed).

## Parameters:

in_personal | Whether to add or remove the personal group membership

## Exceptions:

PropertyError | if the address book is not Google, or if setting the property failed

## Since:

0.9.0